Storyden
Robots

List robots

Get a paginated list of all available robots.

GET/robots

Get a paginated list of all available robots.

Authorization

storyden-session<token>

In: cookie

Query Parameters

page?string

Pagination query parameters.

Response Body

application/json

application/json

curl -X GET "https://example.com/robots"
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "robots": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "name": "string",      "description": "string",      "playbook": "string",      "model": "string",      "workspace_id": null,      "author": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "tools": [        "string"      ],      "toolsets": [        "string"      ],      "meta": {}    }  ]}